# tgatoppm

Updated: 02 April 2000
Table Of Contents

## NAME

tgatoppm - convert TrueVision Targa file to a PPM image

## SYNOPSIS

tgatoppm [--alphaout={alpha-filename,-}] [--headerdump] tga-filename

## DESCRIPTION

This program is part of Netpbm.

tgatoppm reads a TrueVision Targa file as input and produces a PPM image as output.

## OPTIONS

All options can be abbreviated to their shortest unique prefix.

--alphaout=alpha-filename
  tgatoppm creates a PGM image containing the transparency channel values in the input image. If the input image doesn't contain a transparency channel, the alpha-filename file contains all zero (transparent) transparency values. If you don't specify --alphaout, tgatoppm does not generate an alpha file, and if the input image has a transparency channel, tgatoppm simply discards it.

  If you specify - as the filename, tgatoppm writes the transparency output to Standard Output and discards the image.

  See pamcomp for one way to use the transparency output file.

--headerdump
  Causes tgatoppm to dump information from the TGA header to Standard Error.

## SEE ALSO

ppmtotga, pamcomp, ppm

## AUTHOR

Partially based on tga2rast, version 1.0, by Ian J. MacPhedran.

Copyright (C) 1989 by Jef Poskanzer.

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR